Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIActionParameter

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIParameter
                  org.ajax4jsf.component.UIActionParameter

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.ActionListener, javax.faces.event.FacesListener, org.ajax4jsf.component.JavaScriptParameter

Direct Known Subclasses:
  HtmlActionParameter

    public class UIActionParameter

extends javax.faces.component.UIParameter
implements javax.faces.event.ActionListener, org.ajax4jsf.component.JavaScriptParameter

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/02/01 15:31:55 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIParameter
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIActionParameter()`

Method Summary
`javax.el.MethodExpression` | `getActionListener()`
`javax.el.ValueExpression` | `getAssignToBinding()`
`javax.faces.convert.Converter` | `getConverter()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getValue()`
`boolean` | `isNoEscape()`
`void` | `processAction(javax.faces.event.ActionEvent actionEvent)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActionListener(javax.el.MethodExpression actionListener)`
`void` | `setAssignToBinding(javax.el.ValueExpression propertyBinding)`
`void` | `setConverter(javax.faces.convert.Converter converter)`
`void` | `setNoEscape(boolean noEscape)`

Methods inherited from class javax.faces.component.UIParameter
`getFamily, setName, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIActionParameter

    public UIActionParameter()

Method Detail

### setAssignToBinding

    public void setAssignToBinding(javax.el.ValueExpression propertyBinding)

### getAssignToBinding

    public javax.el.ValueExpression getAssignToBinding()

### getActionListener

    public javax.el.MethodExpression getActionListener()

### setActionListener

    public void setActionListener(javax.el.MethodExpression actionListener)

### setConverter

    public void setConverter(javax.faces.convert.Converter converter)

### getConverter

    public javax.faces.convert.Converter getConverter()

### setNoEscape

    public void setNoEscape(boolean noEscape)

  Specified by:
    `setNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

### isNoEscape

    public boolean isNoEscape()

  Specified by:
    `isNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.faces.component.UIParameter`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UIParameter`

### processAction

    public void processAction(javax.faces.event.ActionEvent actionEvent)
                       throws javax.faces.event.AbortProcessingException

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIParameter`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.